<?
include 'mysql.php';
include_once("include/sesi.php");
Error_Reporting(E_ALL & ~E_NOTICE);
include_once("include/antixak.php");
$_title = 'Linewap2';
include 'include/header.php';
include 'include/ini.php';
$log = htmlspecialchars(stripslashes($log));
$pas = htmlspecialchars(stripslashes($pas));
/////////////////////////////////////////////////////
$text = @file("MySql/base123/reg/$log.dat");
if ($text!=""){
$udata = explode(":||:",$text[0]);
$login=trim($udata[0]);
$password=trim($udata[1]);}
////////////////////////////////////////////////////////
if (isset($user)) {
if(getenv("HTTP_X_FORWARDED_FOR")){ $ip = getenv("HTTP_X_FORWARDED_FOR"); }else{
if(getenv("REMOTE_ADDR")) $ip = getenv("REMOTE_ADDR");}
$ip=htmlspecialchars(stripslashes($ip));
$brow=htmlspecialchars(stripslashes(getenv('HTTP_USER_AGENT')));
$brow=strtok($brow,'/');

$ipone=explode(".",$ip);

$iptwo="$ipone[0].$ipone[1].$ipone[2]";

$file=file("MySql/base123/ban.dat");
$total=count($file);
for($i=0; $i<$total; $i++){
$data = explode("||",$file[$i]);

if($data[2]==$log){
$time=time()-86400;
if($data[1]>$time){echo"<small>Вы забанены на 24 часа!</small>"; echo "</p></card></wml>"; exit; }
}}

if(@file("MySql/base123/item/$log.dat")){

$file = @file("MySql/base123/item/$log.dat");
$total = count($file);

if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + 10){ $end = $total; }
else {$end = $start + 10; }
for ($i = $start; $i < $end; $i++){

$file = @file("MySql/base123/item/$log.dat");
$file = array_reverse($file);
$data = explode(":||:",$file[$i]);



if($data[2]=="vesh"){
echo"<b><small><a href=\"sellrukvesh.php?$sd&name=$data[4]&id=$i\">$data[4]</a></small></b> <small>- ($data[3] штук)</small><br/>";}
elseif($data[2]=="vesh2"){
echo"<b><small><a href=\"sellrukvesh.php?$sd&name=$data[4]&id=$i\">$data[4]</a></small></b> <small>- ($data[3] штук) [+$data[0]]</small><br/>";}
else{
echo"<b><small><a href=\"sellrukshmot.php?$sd&name=$data[4]&id=$i\">$data[4]</a></small></b><br/>";}

}}else{echo"<small>У вас нет вещей.</small>";}



if ($start != 0) {echo '<small><a href="sellruk.php?start='.($start - 10).'&'.$sd.'">Назад</a> </small>';}

if ($total > $start + 10) {echo '<small> <a href="sellruk.php?start='.($start + 10).'&'.$sd.'">Далее</a></small>';}



}else{echo"<small>Пароль или логин неверен!</small>";}

include_once"include/down.php";
?>

